Documentation Index
Fetch the complete documentation index at: https://docs.kalshi.com/llms.txt
Use this file to discover all available pages before exploring further.
All URIs are relative to https://api.elections.kalshi.com/trade-api/v2
| Method | HTTP request | Description |
|---|
| getSeries | GET /series | Get Series |
| getSeriesByTicker | GET /series/ | Get Series by Ticker |
getSeries
GetSeriesResponse getSeries()
Get all market series
Example
import {
SeriesApi,
Configuration
} from 'kalshi-typescript';
const configuration = new Configuration({
apiKey: 'your-api-key-id',
privateKeyPath: '/path/to/private-key.pem' // or privateKeyPem: 'PEM string'
});
const apiInstance = new SeriesApi(configuration);
let status: string; //Filter by series status (optional) (default to undefined)
const { status, data } = await apiInstance.getSeries(
status
);
Parameters
| Name | Type | Description | Notes |
|---|
| status | [string] | Filter by series status | (optional) defaults to undefined |
Return type
GetSeriesResponse
Authorization
bearerAuth
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|
| 200 | Series retrieved successfully | - |
| 401 | Unauthorized - authentication required | - |
| 500 | Internal server error | - |
[Back to top] [Back to API list] [Back to Model list] [Back to README]
getSeriesByTicker
GetSeriesByTickerResponse getSeriesByTicker()
Get a single series by its ticker
Example
import {
SeriesApi,
Configuration
} from 'kalshi-typescript';
const configuration = new Configuration({
apiKey: 'your-api-key-id',
privateKeyPath: '/path/to/private-key.pem' // or privateKeyPem: 'PEM string'
});
const apiInstance = new SeriesApi(configuration);
let ticker: string; //The series ticker (default to undefined)
const { status, data } = await apiInstance.getSeriesByTicker(
ticker
);
Parameters
| Name | Type | Description | Notes |
|---|
| ticker | [string] | The series ticker | defaults to undefined |
Return type
GetSeriesByTickerResponse
Authorization
bearerAuth
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|
| 200 | Series retrieved successfully | - |
| 401 | Unauthorized - authentication required | - |
| 404 | Resource not found | - |
| 500 | Internal server error | - |
[Back to top] [Back to API list] [Back to Model list] [Back to README]